From 5269fe2bfc63b8862b54fe697ba4dfd2402d9e7f Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Sat, 21 Apr 2012 12:40:17 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/README.source                               |    2 --
 debian/changelog                                   |   10 ++++++++++
 debian/compat                                      |    2 +-
 debian/control                                     |    5 +++--
 debian/patches/00list                              |    4 ----
 .../{01.configure.dpatch => 01-configure.patch}    |    8 ++------
 .../{02.sleuthkit.dpatch => 02-sleuthkit.patch}    |    8 ++------
 ...not_root.dpatch => 03-warn-when-not-root.patch} |    8 ++------
 debian/patches/{04.man.dpatch => 04-man.patch}     |    8 ++------
 debian/patches/series                              |    4 ++++
 debian/rules                                       |   10 +++++-----
 debian/source/format                               |    1 +
 12 files changed, 32 insertions(+), 38 deletions(-)
 delete mode 100644 debian/README.source
 delete mode 100644 debian/patches/00list
 rename debian/patches/{01.configure.dpatch => 01-configure.patch} (99%)
 rename debian/patches/{02.sleuthkit.dpatch => 02-sleuthkit.patch} (98%)
 rename debian/patches/{03.warn_when_not_root.dpatch => 03-warn-when-not-root.patch} (84%)
 rename debian/patches/{04.man.dpatch => 04-man.patch} (91%)
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/debian/README.source b/debian/README.source
deleted file mode 100644
index 46e654b..0000000
--- a/debian/README.source
+++ /dev/null
@@ -1,2 +0,0 @@
-This packages uses 'dpatch'. See /usr/share/doc/dpatch/README.source.gz for
-specific information about 'dpatch'.
diff --git a/debian/changelog b/debian/changelog
index ddd4873..7b91345 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+autopsy (2.24-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+  * Fix no-homepage-field (Lintian).
+  * Fix debian-watch-file-is-missing (Lintian).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sat, 21 Apr 2012 12:37:24 +0300
+
 autopsy (2.24-1) unstable; urgency=low
 
   * New upstream release
diff --git a/debian/compat b/debian/compat
index 7f8f011..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-7
+9
diff --git a/debian/control b/debian/control
index 4a7f001..fb00641 100644
--- a/debian/control
+++ b/debian/control
@@ -2,9 +2,10 @@ Source: autopsy
 Section: admin
 Priority: optional
 Maintainer: Lorenzo Martignoni <martignlo@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dpatch
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: sleuthkit (>= 3.0.0)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
+Homepage: http://freecode.com/projects/autopsy
 
 Package: autopsy
 Architecture: all
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index 8b943ca..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,4 +0,0 @@
-01.configure.dpatch
-02.sleuthkit.dpatch
-03.warn_when_not_root.dpatch
-04.man.dpatch
diff --git a/debian/patches/01.configure.dpatch b/debian/patches/01-configure.patch
similarity index 99%
rename from debian/patches/01.configure.dpatch
rename to debian/patches/01-configure.patch
index c206ed5..7363c84 100644
--- a/debian/patches/01.configure.dpatch
+++ b/debian/patches/01-configure.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 01.debianization.dpatch by  <martignlo@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Simualte configuration (which is useless on Debian)
+From: <martignlo@debian.org>
+Subject: Simualte configuration (which is useless on Debian)
 
-@DPATCH@
 diff -urNad autopsy-2.21~/autopsy autopsy-2.21/autopsy
 --- autopsy-2.21~/autopsy	1970-01-01 01:00:00.000000000 +0100
 +++ autopsy-2.21/autopsy	2009-06-16 22:26:29.000000000 +0200
diff --git a/debian/patches/02.sleuthkit.dpatch b/debian/patches/02-sleuthkit.patch
similarity index 98%
rename from debian/patches/02.sleuthkit.dpatch
rename to debian/patches/02-sleuthkit.patch
index 89d8ff9..d123159 100644
--- a/debian/patches/02.sleuthkit.dpatch
+++ b/debian/patches/02-sleuthkit.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 02.sleuthkit.dpatch by  <martignlo@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Update the name of the following Sleuthkit executables: ils, icat, and mactime
+From: <martignlo@debian.org>
+Subject: Update the name of the following Sleuthkit executables: ils, icat, and mactime
 
-@DPATCH@
 diff -urNad autopsy-2.21~/lib/Appview.pm autopsy-2.21/lib/Appview.pm
 --- autopsy-2.21~/lib/Appview.pm	2008-09-29 04:42:46.000000000 +0200
 +++ autopsy-2.21/lib/Appview.pm	2009-06-16 22:41:19.000000000 +0200
diff --git a/debian/patches/03.warn_when_not_root.dpatch b/debian/patches/03-warn-when-not-root.patch
similarity index 84%
rename from debian/patches/03.warn_when_not_root.dpatch
rename to debian/patches/03-warn-when-not-root.patch
index c22493c..586d9bb 100644
--- a/debian/patches/03.warn_when_not_root.dpatch
+++ b/debian/patches/03-warn-when-not-root.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 02.warn_when_not_root.dpatch by Lorenzo Martignoni <martignlo@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Warn users when autopsy is run as non-root.
+From: Lorenzo Martignoni <martignlo@debian.org>
+Subject: Warn users when autopsy is run as non-root.
 
-@DPATCH@
 diff -urNad autopsy-2.06~/base/autopsy.base autopsy-2.06/base/autopsy.base
 --- autopsy-2.06~/base/autopsy.base	2006-01-14 15:54:34.000000000 +0100
 +++ autopsy-2.06/base/autopsy.base	2006-01-14 15:54:44.000000000 +0100
diff --git a/debian/patches/04.man.dpatch b/debian/patches/04-man.patch
similarity index 91%
rename from debian/patches/04.man.dpatch
rename to debian/patches/04-man.patch
index dd7aeb7..ac3ee48 100644
--- a/debian/patches/04.man.dpatch
+++ b/debian/patches/04-man.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 04.man.dpatch by  <martignlo@filiberto.poggibonsi>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: replace - with \-
+From: <martignlo@filiberto.poggibonsi>
+Subject: replace - with -
 
-@DPATCH@
 diff -urNad autopsy-2.10~/man/man1/autopsy.1 autopsy-2.10/man/man1/autopsy.1
 --- autopsy-2.10~/man/man1/autopsy.1	2009-04-26 23:21:24.000000000 +0200
 +++ autopsy-2.10/man/man1/autopsy.1	2009-04-26 23:22:28.000000000 +0200
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..e5c3275
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,4 @@
+01-configure.patch
+02-sleuthkit.patch
+03-warn-when-not-root.patch
+04-man.patch
diff --git a/debian/rules b/debian/rules
index 99154e2..2bdbbc7 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,14 +1,14 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpatch/dpatch.make
+build-arch: build
+build-indep: build
 
 build: build-stamp
-build-stamp: patch-stamp
+build-stamp:
 	dh_testdir
 	touch build-stamp
 
-clean: clean-unpatched unpatch
-clean-unpatched:
+clean:
 	dh_testdir
 	dh_testroot
 	dh_clean build-stamp config.tmp config2.tmp 
@@ -39,5 +39,5 @@ binary-indep: build install
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: binary clean binary-indep binary-arch build install patch unpatch \
+.PHONY: binary clean binary-indep binary-arch build install \
 	clean1
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
-- 
1.7.9.5

